package com.dongqiudi.dqd_plugin.http;

import com.lzy.okgo.OkGo;
import com.lzy.okgo.callback.StringCallback;
import com.lzy.okgo.model.HttpHeaders;
import com.lzy.okgo.model.Response;

import java.util.Map;


public class HttUtils {
    public static void get(String url, final CallBack callBack, String tag, HttpHeaders httpHeaders, Map<String, String> params) {
        OkGo.<String>get(url).tag(tag).headers(httpHeaders).params(params).execute(new StringCallback() {
            @Override
            public void onSuccess(Response<String> response) {
                if (callBack != null) {
                    callBack.success(response.body());
                }
            }

            @Override
            public void onError(Response<String> response) {
                super.onError(response);
                if (callBack != null) {
                    callBack.success(response.body());
                }
            }
        });
    }

    public static void post(String url, final CallBack callBack, String tag, HttpHeaders httpHeaders, Map<String, String> params) {
        OkGo.<String>post(url).tag(tag).headers(httpHeaders).params(params).execute(new StringCallback() {
            @Override
            public void onSuccess(Response<String> response) {
                if (callBack != null) {
                    callBack.success(response.body());
                }
            }

            @Override
            public void onError(Response<String> response) {
                super.onError(response);
                if (callBack != null) {
                    callBack.success(response.body());
                }
            }
        });
    }
}
